import * as z from 'zod';
export const PdfFileFindManyResultSchema = z.object({
  data: z.array(z.object({
  id: z.number().int(),
  filename: z.string(),
  pdfData: z.instanceof(Uint8Array),
  uploadedAt: z.date(),
  groupId: z.number().int(),
  group: z.unknown()
})),
  pagination: z.object({
  page: z.number().int().min(1),
  pageSize: z.number().int().min(1),
  total: z.number().int().min(0),
  totalPages: z.number().int().min(0),
  hasNext: z.boolean(),
  hasPrev: z.boolean()
})
});